%global modulename postcss-syntax

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-postcss-syntax
Version:        0.34.0
Release:        1%{?dist}
Summary:        Automatically switch PostCSS syntax by file extensions

License:        MIT
URL:            https://github.com/gucong3000/postcss-syntax#readme
Source0:        https://registry.npmjs.org/postcss-syntax/-/postcss-syntax-0.34.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Automatically switch PostCSS syntax by file extensions

%package 0.34.0
Summary:        Automatically switch PostCSS syntax by file extensions


%description 0.34.0
Automatically switch PostCSS syntax by file extensions

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr document.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr get-lang.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr get-syntax.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr load-syntax.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr normal-opts.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parse-style.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parse.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr patch-postcss.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr processor.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr stringify.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr syntax.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}


%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.34.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 0.34.0-1
- Package automatically generated by npm2srpm
